#include<iostream>
#include<string>
using namespace std;

int main(){
    string tekst;
    getline(cin,tekst);
    int i1,i2,t;
    int x=0;
    for (int i=0;i<tekst.length();i++){
        if (tekst[i]=='b' && x==0) {i1=i;x=1;}
        if (tekst[i]=='b' && x==1) {i2=i;break;}
    }
    t=tekst.length()-i1-i2;
    cout << t;
    return 0;
}